Holger's Java API

## com.antelmann.genealogy
Enum GRelationStatus

    java.lang.Object
      java.lang.Enum<GRelationStatus>
          com.antelmann.genealogy.GRelationStatus

All Implemented Interfaces:
  Serializable, Comparable<GRelationStatus>

    public enum GRelationStatus

extends Enum<GRelationStatus>

Since:
  03.01.2015, 21:18:40
Author:
  holger

Enum Constant Summary
`BROTHER_SISTER`
`BROTHER_SISTER_IN_LAW`
`CHILD`
`COUSIN`
`GRANDCHILD`
`GRANDPARENT`
`NEPHEW`
`ONCLE_AUNT`
`PARENT`
`SPOUSE`

Method Summary
`static GRelationStatus` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GRelationStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PARENT

    public static final GRelationStatus PARENT

### CHILD

    public static final GRelationStatus CHILD

### GRANDPARENT

    public static final GRelationStatus GRANDPARENT

### GRANDCHILD

    public static final GRelationStatus GRANDCHILD

### COUSIN

    public static final GRelationStatus COUSIN

### SPOUSE

    public static final GRelationStatus SPOUSE

### ONCLE_AUNT

    public static final GRelationStatus ONCLE_AUNT

### NEPHEW

    public static final GRelationStatus NEPHEW

### BROTHER_SISTER

    public static final GRelationStatus BROTHER_SISTER

### BROTHER_SISTER_IN_LAW

    public static final GRelationStatus BROTHER_SISTER_IN_LAW

Method Detail

### values

    public static GRelationStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GRelationStatus c : GRelationStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GRelationStatus valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads